Bug 1422401 - [abrt] cinnamon-screensaver: passwordEntry.py:105:on_draw:TypeError: Can't convert 'NoneType' object to str implicitly
Summary: [abrt] cinnamon-screensaver: passwordEntry.py:105:on_draw:TypeError: Can't co...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon-screensaver
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e3abdeb0039320a0b88bd124963...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-15 08:53 UTC by argonym
Modified: 2017-03-01 01:20 UTC (History)
3 users (show)

Fixed In Version: cinnamon-screensaver-3.2.14-0.2.20170124git5561f3c.fc25 cinnamon-screensaver-3.2.14-0.2.20170124git5561f3c.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-28 08:49:27 UTC


Attachments (Terms of Use)
File: backtrace (897 bytes, text/plain)
2017-02-15 08:53 UTC, argonym
no flags Details
File: environ (1.48 KB, text/plain)
2017-02-15 08:53 UTC, argonym
no flags Details

Description argonym 2017-02-15 08:53:26 UTC
Version-Release number of selected component:
cinnamon-screensaver-3.2.13-2.fc25

Additional info:
reporter:       libreport-2.8.0
cmdline:        cinnamon-screensaver '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' ''
executable:     /usr/share/cinnamon-screensaver/cinnamon-screensaver-main.py
kernel:         4.9.6-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
passwordEntry.py:105:on_draw:TypeError: Can't convert 'NoneType' object to str implicitly

Traceback (most recent call last):
  File "/usr/share/cinnamon-screensaver/passwordEntry.py", line 105, in on_draw
    (xb, yb, w, h, xa, ya) = cr.text_extents(name)
TypeError: Can't convert 'NoneType' object to str implicitly

Local variables in innermost frame:
font_size: 14.0
handled: False
y: 11
cr: <cairo.Context object at 0x7fad0403a450>
family: ['monospace']
height: 12
self: <passwordEntry.PasswordEntry object at 0x7fad0404f948 (passwordEntry+PasswordEntry at 0x55eab97dab10)>
ctx: <Gtk.StyleContext object at 0x7facec0f6cf0 (GtkStyleContext at 0x55eab9c51930)>
width: 26
icon_rect: <Gdk.Rectangle object at 0x7fad04078ca8 (GdkRectangle at 0x7face8001130)>
data: None
name: None
x: 9
widget: <passwordEntry.PasswordEntry object at 0x7fad0404f948 (passwordEntry+PasswordEntry at 0x55eab97dab10)>

Comment 1 argonym 2017-02-15 08:53:30 UTC
Created attachment 1250525 [details]
File: backtrace

Comment 2 argonym 2017-02-15 08:53:31 UTC
Created attachment 1250526 [details]
File: environ

Comment 3 Fedora Update System 2017-02-20 11:23:23 UTC
cinnamon-screensaver-3.2.14-0.2.20170124git5561f3c.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-855ed02f31

Comment 4 Fedora Update System 2017-02-20 11:24:40 UTC
cinnamon-screensaver-3.2.14-0.2.20170124git5561f3c.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-cfb76d98fc

Comment 5 Fedora Update System 2017-02-20 20:23:41 UTC
cinnamon-screensaver-3.2.14-0.2.20170124git5561f3c.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-cfb76d98fc

Comment 6 Fedora Update System 2017-02-20 21:22:40 UTC
cinnamon-screensaver-3.2.14-0.2.20170124git5561f3c.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-855ed02f31

Comment 7 Fedora Update System 2017-02-28 08:49:27 UTC
cinnamon-screensaver-3.2.14-0.2.20170124git5561f3c.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2017-03-01 01:20:28 UTC
cinnamon-screensaver-3.2.14-0.2.20170124git5561f3c.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.